Skip to main content

Store record (POST)

POST 

/v2/key-value-stores/:storeId/records/:recordKey

Stores a value under a specific key to the key-value store. This endpoint is an alias for the PUT record method and behaves identically.

Request

Path Parameters

    storeId string required

    Key-value store ID or username~store-name.


    Example: WkzbQMuFYuamGv3YF
    recordKey string required

    Key of the record.


    Example: someKey

Header Parameters

    Content-Encoding string

    Possible values: [gzip, deflate, br]

Bodyrequired

  • property name* any

    The request body contains the value to store in the record. The content type should be specified in the Content-Type header.


    Example: {"message":"Hello, world!","count":42}

Status 201

Response Headers
  • Location
{}